Skip to main content
PUT
/
client
/
groups
/
{id}
Update group
curl --request PUT \
  --url https://api.orbital-systems.com/client/groups/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "name": "<string>",
  "type": "<string>",
  "parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "type": "<string>",
  "parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "<string>",
  "updated_at": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://orbitalsystems.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Path Parameters

id
string
required

The group ID

Body

application/json
name
string
type
string
parent_id
string<uuid>

Response

Group updated successfully

id
string<uuid>
name
string
type
string
parent_id
string<uuid>
created_at
string
updated_at
string